/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Create or update a Shared Image Gallery.
 *
 * @summary Create or update a Shared Image Gallery.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/CreateACommunityGallery.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createACommunityGallery() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const gallery = {
            description: "This is the gallery description.",
            location: "West US",
            sharingProfile: {
                communityGalleryInfo: {
                    eula: "eula",
                    publicNamePrefix: "PirPublic",
                    publisherContact: "pir@microsoft.com",
                    publisherUri: "uri"
                },
                permissions: "Community"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleries.beginCreateOrUpdateAndWait(resourceGroupName, galleryName, gallery);
        console.log(result);
    });
}
createACommunityGallery().catch(console.error);
//# sourceMappingURL=createACommunityGallery.js.map