/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Creates or updates a disk.
 *
 * @summary Creates or updates a disk.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-08-01/examples/CreateAConfidentialVMDiskEncryptedWithCMK.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createAConfidentialVMSupportedDiskEncryptedWithCustomerManagedKey() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscriptionId}";
        const resourceGroupName = "myResourceGroup";
        const diskName = "myDisk";
        const disk = {
            creationData: {
                createOption: "FromImage",
                imageReference: {
                    id: "/Subscriptions/{subscriptionId}/Providers/Microsoft.Compute/Locations/westus/Publishers/{publisher}/ArtifactTypes/VMImage/Offers/{offer}/Skus/{sku}/Versions/1.0.0"
                }
            },
            location: "West US",
            osType: "Windows",
            securityProfile: {
                secureVMDiskEncryptionSetId: "/subscriptions/{subscriptionId}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/diskEncryptionSets/{diskEncryptionSetName}",
                securityType: "ConfidentialVM_DiskEncryptedWithCustomerKey"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.disks.beginCreateOrUpdateAndWait(resourceGroupName, diskName, disk);
        console.log(result);
    });
}
createAConfidentialVMSupportedDiskEncryptedWithCustomerManagedKey().catch(console.error);
//# sourceMappingURL=createAConfidentialVMSupportedDiskEncryptedWithCustomerManagedKey.js.map