/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 *
 * @summary The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/CreateACustomImageVmFromAnUnmanagedGeneralizedOsImage.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createACustomImageVMFromAnUnmanagedGeneralizedOSImage() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const vmName = "{vm-name}";
        const parameters = {
            hardwareProfile: { vmSize: "Standard_D1_v2" },
            location: "westus",
            networkProfile: {
                networkInterfaces: [
                    {
                        id: "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Network/networkInterfaces/{existing-nic-name}",
                        primary: true
                    }
                ]
            },
            osProfile: {
                adminPassword: "{your-password}",
                adminUsername: "{your-username}",
                computerName: "myVM"
            },
            storageProfile: {
                osDisk: {
                    name: "myVMosdisk",
                    caching: "ReadWrite",
                    createOption: "FromImage",
                    image: {
                        uri: "http://{existing-storage-account-name}.blob.core.windows.net/{existing-container-name}/{existing-generalized-os-image-blob-name}.vhd"
                    },
                    osType: "Windows",
                    vhd: {
                        uri: "http://{existing-storage-account-name}.blob.core.windows.net/{existing-container-name}/myDisk.vhd"
                    }
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachines.beginCreateOrUpdateAndWait(resourceGroupName, vmName, parameters);
        console.log(result);
    });
}
createACustomImageVMFromAnUnmanagedGeneralizedOSImage().catch(console.error);
//# sourceMappingURL=createACustomImageVMFromAnUnmanagedGeneralizedOSImage.js.map