/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 *
 * @summary The operation to create or update a virtual machine. Please note some properties can be set only during virtual machine creation.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/CreateAVmWithNetworkInterfaceConfiguration.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createAVMWithNetworkInterfaceConfiguration() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const vmName = "myVM";
        const parameters = {
            hardwareProfile: { vmSize: "Standard_D1_v2" },
            location: "westus",
            networkProfile: {
                networkApiVersion: "2020-11-01",
                networkInterfaceConfigurations: [
                    {
                        name: "{nic-config-name}",
                        deleteOption: "Delete",
                        ipConfigurations: [
                            {
                                name: "{ip-config-name}",
                                primary: true,
                                publicIPAddressConfiguration: {
                                    name: "{publicIP-config-name}",
                                    deleteOption: "Detach",
                                    publicIPAllocationMethod: "Static",
                                    sku: { name: "Basic", tier: "Global" }
                                }
                            }
                        ],
                        primary: true
                    }
                ]
            },
            osProfile: {
                adminPassword: "{your-password}",
                adminUsername: "{your-username}",
                computerName: "myVM"
            },
            storageProfile: {
                imageReference: {
                    offer: "WindowsServer",
                    publisher: "MicrosoftWindowsServer",
                    sku: "2016-Datacenter",
                    version: "latest"
                },
                osDisk: {
                    name: "myVMosdisk",
                    caching: "ReadWrite",
                    createOption: "FromImage",
                    managedDisk: { storageAccountType: "Standard_LRS" }
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachines.beginCreateOrUpdateAndWait(resourceGroupName, vmName, parameters);
        console.log(result);
    });
}
createAVMWithNetworkInterfaceConfiguration().catch(console.error);
//# sourceMappingURL=createAVMWithNetworkInterfaceConfiguration.js.map