/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Create or update a gallery image definition.
 *
 * @summary Create or update a gallery image definition.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/CreateOrUpdateASimpleGalleryImage.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function createOrUpdateASimpleGalleryImage() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryImageName = "myGalleryImageName";
        const galleryImage = {
            hyperVGeneration: "V1",
            identifier: {
                offer: "myOfferName",
                publisher: "myPublisherName",
                sku: "mySkuName"
            },
            location: "West US",
            osState: "Generalized",
            osType: "Windows"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryImages.beginCreateOrUpdateAndWait(resourceGroupName, galleryName, galleryImageName, galleryImage);
        console.log(result);
    });
}
createOrUpdateASimpleGalleryImage().catch(console.error);
//# sourceMappingURL=createOrUpdateASimpleGalleryImage.js.map