/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Delete a gallery Application Version.
 *
 * @summary Delete a gallery Application Version.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-10-01/examples/gallery/DeleteAGalleryApplicationVersion.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function deleteAGalleryApplicationVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const galleryName = "myGalleryName";
        const galleryApplicationName = "myGalleryApplicationName";
        const galleryApplicationVersionName = "1.0.0";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.galleryApplicationVersions.beginDeleteAndWait(resourceGroupName, galleryName, galleryApplicationName, galleryApplicationVersionName);
        console.log(result);
    });
}
deleteAGalleryApplicationVersion().catch(console.error);
//# sourceMappingURL=deleteAGalleryApplicationVersion.js.map