/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Deletes a private endpoint connection under a disk access resource.
 *
 * @summary Deletes a private endpoint connection under a disk access resource.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-08-01/examples/DeleteAPrivateEndpointConnection.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function deleteAPrivateEndpointConnectionUnderADiskAccessResource() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const diskAccessName = "myDiskAccess";
        const privateEndpointConnectionName = "myPrivateEndpointConnection";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.diskAccesses.beginDeleteAPrivateEndpointConnectionAndWait(resourceGroupName, diskAccessName, privateEndpointConnectionName);
        console.log(result);
    });
}
deleteAPrivateEndpointConnectionUnderADiskAccessResource().catch(console.error);
//# sourceMappingURL=deleteAPrivateEndpointConnectionUnderADiskAccessResource.js.map