/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to The operation to update the VMSS VM extension.
 *
 * @summary The operation to update the VMSS VM extension.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2021-11-01/examples/compute/UpdateVirtualMachineScaleSetVMExtensions.json
 */
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
function updateVirtualMachineScaleSetVMExtension() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const vmScaleSetName = "myvmScaleSet";
        const instanceId = "0";
        const vmExtensionName = "myVMExtension";
        const extensionParameters = {
            typePropertiesType: "extType",
            autoUpgradeMinorVersion: true,
            publisher: "extPublisher",
            settings: { UserName: "xyz@microsoft.com" },
            typeHandlerVersion: "1.2"
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineScaleSetVMExtensions.beginUpdateAndWait(resourceGroupName, vmScaleSetName, instanceId, vmExtensionName, extensionParameters);
        console.log(result);
    });
}
updateVirtualMachineScaleSetVMExtension().catch(console.error);
//# sourceMappingURL=updateVirtualMachineScaleSetVMExtension.js.map