/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Sets the properties of file services in storage accounts, including CORS (Cross-Origin Resource Sharing) rules.
 *
 * @summary Sets the properties of file services in storage accounts, including CORS (Cross-Origin Resource Sharing) rules.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/FileServicesPut_EnableSecureSmbFeatures.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function putFileServicesEnableSecureSmbFeatures() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res4410";
        const accountName = "sto8607";
        const parameters = {
            protocolSettings: {
                smb: {
                    authenticationMethods: "NTLMv2;Kerberos",
                    channelEncryption: "AES-128-CCM;AES-128-GCM;AES-256-GCM",
                    kerberosTicketEncryption: "RC4-HMAC;AES-256",
                    versions: "SMB2.1;SMB3.0;SMB3.1.1"
                }
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.fileServices.setServiceProperties(resourceGroupName, accountName, parameters);
        console.log(result);
    });
}
putFileServicesEnableSecureSmbFeatures().catch(console.error);
//# sourceMappingURL=putFileServicesEnableSecureSmbFeatures.js.map