/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Update the state of specified private endpoint connection associated with the storage account.
 *
 * @summary Update the state of specified private endpoint connection associated with the storage account.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/StorageAccountPutPrivateEndpointConnection.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function storageAccountPutPrivateEndpointConnection() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res7687";
        const accountName = "sto9699";
        const privateEndpointConnectionName = "{privateEndpointConnectionName}";
        const properties = {
            privateLinkServiceConnectionState: {
                description: "Auto-Approved",
                status: "Approved"
            }
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.privateEndpointConnections.put(resourceGroupName, accountName, privateEndpointConnectionName, properties);
        console.log(result);
    });
}
storageAccountPutPrivateEndpointConnection().catch(console.error);
//# sourceMappingURL=storageAccountPutPrivateEndpointConnection.js.map