/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  DeletedAccount,
  DeletedAccountsListOptionalParams,
  DeletedAccountsGetOptionalParams,
  DeletedAccountsGetResponse
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a DeletedAccounts. */
export interface DeletedAccounts {
  /**
   * Lists deleted accounts under the subscription.
   * @param options The options parameters.
   */
  list(
    options?: DeletedAccountsListOptionalParams
  ): PagedAsyncIterableIterator<DeletedAccount>;
  /**
   * Get properties of specified deleted account resource.
   * @param deletedAccountName Name of the deleted storage account.
   * @param location The location of the deleted storage account.
   * @param options The options parameters.
   */
  get(
    deletedAccountName: string,
    location: string,
    options?: DeletedAccountsGetOptionalParams
  ): Promise<DeletedAccountsGetResponse>;
}
