import * as coreClient from "@azure/core-client";
import * as coreAuth from "@azure/core-auth";
import { Subscriptions, Tenants, SubscriptionOperations, Operations, Alias, SubscriptionPolicy, BillingAccount } from "./operationsInterfaces";
import { SubscriptionClientOptionalParams } from "./models";
export declare class SubscriptionClient extends coreClient.ServiceClient {
    $host: string;
    /**
     * Initializes a new instance of the SubscriptionClient class.
     * @param credentials Subscription credentials which uniquely identify client subscription.
     * @param options The parameter options
     */
    constructor(credentials: coreAuth.TokenCredential, options?: SubscriptionClientOptionalParams);
    subscriptions: Subscriptions;
    tenants: Tenants;
    subscriptionOperations: SubscriptionOperations;
    operations: Operations;
    alias: Alias;
    subscriptionPolicy: SubscriptionPolicy;
    billingAccount: BillingAccount;
}
//# sourceMappingURL=subscriptionClient.d.ts.map